# -*- coding: utf-8 -*-


TRInputInitValueSetRule = [
    {'order': 0,
    'target': 'value_info',
    'pat': '공백허용|사용안함|공백|지원안함',
    'value': '',
    'desc': '공백허용|사용안함|공백|지원안함 이면 빈문자열을 사용'},
    {'order': 0,
    'target': 'value_info',
    'pat': '다른값 허용안함|설정값',
    'value': {'pat': '(\\d+)'},
    'desc': '다른값 허용안함|설정값 이면 그 값을 그대로 사용'},
    {'order': 1,
    'target': 'tr',
    'pat': 'opt99999',
    'value': '001',
    'desc': '설명도 없기 때문에 대차거래내역요청(OPT90012)을 참조해서 강제로 설정'},
    {'order': 1,
    'target': 'id',
    'pat': '계좌번호',
    'value': '5063-3180-11',
    'desc': '실전투자 하나은행 연결계좌로 지정'},
    {'order': 1,
    'target': 'id',
    'pat': '회원사코드',
    'value': '050',
    'desc': '회원사코드는 키움증권으로 일괄 셋업'},
    {'order': 1,
    'target': 'id',
    'pat': '종목코드|종목번호',
    'value': '005930',
    'desc': "'삼성전자'로 일괄 셋업"},
    {'order': 2,
    'target': 'id',
    'pat': '종목조건|관리종목',
    'value': '16',
    'desc': '"ETF+ETN제외"로 일괄설정'},
    {'order': 2, 'target': 'id', 'pat': '^단위구분$', 'value': '1', 'desc': None},
    {'order': 2, 'target': 'id', 'pat': '^매물대수$', 'value': '10', 'desc': None},
    {'order': 2, 'target': 'id', 'pat': '^시간구분$', 'value': '1', 'desc': None},
    {'order': 2,
    'target': 'id',
    'pat': '^제외종목$',
    'value': '000000000',
    'desc': None},
    {'order': 2,
    'target': 'value_info',
    'pat': '0\\s*~\\s*100',
    'value': '100',
    'desc': None},
    {'order': 2,
    'target': 'value_info',
    'pat': '1일 ~ 99일',
    'value': '99',
    'desc': None},
    {'order': 2,
    'target': 'value_info',
    'pat': '^\\d+$',
    'value': {'pat': '(\\d+)'},
    'desc': 'value_info 가 numeric 이면 그대로 사용'},
    {'order': 2,
    'target': 'value_info',
    'pat': '^분',
    'value': '1',
    'desc': '분/일 입력이면 1분/1일 을 초기값으로 셋업'},
    {'order': 2,
    'target': 'id',
    'pat': '일자$|시작일$|종료일$|조회일',
    'value': 'datetime',
    'desc': '[기준/시작/종료/끝]날짜'},
    {'order': 2,
    'target': 'value_info',
    'pat': 'Y+M+D+|Y+M+|조회시간\\s*4자리',
    'value': 'datetime',
    'desc': '[기준/시작/종료/끝]날짜'},
    {'order': 2,
    'target': 'value_info',
    'pat': '변동성 일수.+\\d+',
    'value': {'pat': '(\\d+)'},
    'desc': None}
]
